Subject: Circular queue

From: "David H. Lynch Jr." <[email-masked]>
Date: Tue, 24 Jul 2007 04:18:02 -0400

Is there a standard linux datastructure and routines to manage
circular queues ?

    I have a device that is not fundimentally different from a serial
character device
    except it is faster and the fundimental data type is 36 bits large.

    I have coded my own routines to setup and maintain a simple circular
queue,
    but I was hoping that there might be something more standard that
already exists.

    Anyone know of anything ?

-- 
Dave Lynch 					  	    DLA Systems
Software Development:  				         Embedded Linux
717.627.3770 	       [email-masked] 	  http://www.dlasys.net
fax: 1.253.369.9244 			           Cell: 1.717.587.7774
Over 25 years' experience in platforms, languages, and technologies too numerous to list.

"Any intelligent fool can make things bigger and more complex... It takes a touch of genius - and a lot of courage to move in the opposite direction."
Albert Einstein